zabbix_export:
  version: '7.2'
  host_groups:
    - uuid: 6f6799aa69e844b4b3918f779f2abf08
      name: 'Zabbix servers'
  hosts:
    - host: 'Zabbix server'
      name: 'Zabbix server'
      templates:
        - name: 'Apache by Zabbix agent'
        - name: 'Apache Tomcat by JMX'
        - name: 'Aranet Cloud'
        - name: 'Asterisk by HTTP'
        - name: 'AWS ECS Serverless Cluster by HTTP'
        - name: 'Azure MySQL Flexible Server by HTTP'
        - name: 'Chassis by IPMI'
        - name: 'Cisco Meraki dashboard by HTTP'
        - name: 'Cisco SD-WAN device by HTTP'
        - name: 'ClickHouse by HTTP'
        - name: 'Cloudflare by HTTP'
        - name: 'CockroachDB by HTTP'
        - name: 'Control-M enterprise manager by HTTP'
        - name: 'Control-M server by HTTP'
        - name: 'Docker by Zabbix agent 2'
        - name: 'Elasticsearch Cluster by HTTP'
        - name: 'Envoy Proxy by HTTP'
        - name: 'Etcd by HTTP'
        - name: 'FortiGate by HTTP'
        - name: 'GCP by HTTP'
        - name: 'GCP Cloud SQL MySQL Replica by HTTP'
        - name: 'GCP Compute Engine Instance by HTTP'
        - name: 'GitLab by HTTP'
        - name: 'GridGain by JMX'
        - name: 'Hadoop by HTTP'
        - name: 'HAProxy by Zabbix agent'
        - name: 'HashiCorp Nomad Client by HTTP'
        - name: 'HashiCorp Vault by HTTP'
        - name: 'ICMP Ping'
        - name: 'InfluxDB by HTTP'
        - name: 'Intel SR1630 IPMI'
        - name: 'Jenkins by HTTP'
        - name: 'Jira Data Center by JMX'
        - name: 'Kubernetes Kubelet by HTTP'
        - name: 'Kubernetes Scheduler by HTTP'
        - name: 'Mantis BT by HTTP'
        - name: 'Memcached by Zabbix agent 2'
        - name: 'Microsoft Exchange Server 2016 by Zabbix agent active'
        - name: 'Microsoft SharePoint by HTTP'
        - name: 'MongoDB node by Zabbix agent 2'
        - name: 'Morningstar TriStar MPPT 600V by SNMP'
        - name: 'MSSQL by ODBC'
        - name: 'MySQL by Zabbix agent'
        - name: 'NetApp AFF A700 by HTTP'
        - name: 'Nextcloud by HTTP'
        - name: 'Nginx by Zabbix agent'
        - name: 'OpenStack by HTTP'
        - name: 'OpenStack Nova by HTTP'
        - name: 'OpenWeatherMap by HTTP'
        - name: 'Oracle by ODBC'
        - name: 'Oracle Cloud Autonomous Database by HTTP'
        - name: 'Oracle Cloud Networking by HTTP'
        - name: 'OS processes by Zabbix agent'
        - name: 'PHP-FPM by Zabbix agent'
        - name: 'PostgreSQL by Zabbix agent'
        - name: 'Proxmox VE by HTTP'
        - name: 'RabbitMQ node by Zabbix agent'
        - name: 'Remote Zabbix server health'
        - name: 'SMART by Zabbix agent 2 active'
        - name: 'Systemd by Zabbix agent 2'
        - name: 'TiDB TiKV by HTTP'
        - name: 'Veeam Backup Enterprise Manager by HTTP'
        - name: VMware
        - name: 'VMWare SD-WAN VeloCloud by HTTP'
        - name: 'Website by Browser'
        - name: 'Website certificate by Zabbix agent 2'
        - name: 'WildFly Server by JMX'
        - name: 'YugabyteDB Cluster by HTTP'
        - name: 'Zookeeper by HTTP'
      groups:
        - name: 'Zabbix servers'
      interfaces:
        - interface_ref: if1
        - type: SNMP
          port: '161'
          details:
            version: SNMPV1
            community: public
          interface_ref: if2
        - type: IPMI
          port: '623'
          interface_ref: if4
        - type: JMX
          port: '12345'
          interface_ref: if3
      items:
        - name: ZZ
          key: 'vfs.file.contents[/tmp/k.json]'
          value_type: TEXT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.f$o
          interface_ref: if1
        - name: ZZ2
          key: 'vfs.file.contents[/tmp/k3.json]'
          value_type: TEXT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.f$o
          interface_ref: if1
        - name: x
          type: TRAP
          key: x
          triggers:
            - expression: 'last(/Zabbix server/x)>0'
              name: x2
              priority: DISASTER
      macros:
        - macro: '{$VMWARE.PASSWORD}'
          value: 'Zabbix#33'
        - macro: '{$VMWARE.URL}'
          value: 'https://vm-vcenter.zabbix.sandbox/sdk'
        - macro: '{$VMWARE.USERNAME}'
          value: zabbix@zabbix.local
      inventory:
        location_lat: '56.95387'
        location_lon: '24.22067'
      inventory_mode: AUTOMATIC